\ chip constants

load p18f2550-const.f
load serial-16.f
\ chip config macros for core code

macro
: init-chip
    \ 3-output
    ;

: init-serial
    TRISC 7 high TRISC 6 low  \ pin tristate
    baud async.init-16 ;     

: debug-serial?
    PORTC 7 high? ;

: boot-size #x800 ; \ size of code-protect region.
    
forth
